"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var CommentEntity_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const post_entity_1 = require("./post.entity");
const restaurant_entity_1 = require("./restaurant.entity");
const user_entity_1 = require("./user.entity");
const sticker_entity_1 = require("./sticker.entity");
let CommentEntity = CommentEntity_1 = class CommentEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], CommentEntity.prototype, "comment_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => post_entity_1.PostEntity, (post) => post.post_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'post_id',
    }),
    __metadata("design:type", post_entity_1.PostEntity)
], CommentEntity.prototype, "post", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'simple-json',
        default: {},
    }),
    __metadata("design:type", Object)
], CommentEntity.prototype, "sticker", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => sticker_entity_1.StickerEntity, (sticker) => sticker.sticker_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'sticker_id',
    }),
    __metadata("design:type", sticker_entity_1.StickerEntity)
], CommentEntity.prototype, "sticker_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => CommentEntity_1, (comment) => comment.comment_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'parent_id',
    }),
    __metadata("design:type", CommentEntity)
], CommentEntity.prototype, "parent", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], CommentEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "is_admin", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], CommentEntity.prototype, "message", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'jsonb',
        array: false,
        default: () => "'[]'",
        nullable: false,
    }),
    __metadata("design:type", Object)
], CommentEntity.prototype, "media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'jsonb',
        array: false,
        default: () => "'[]'",
        nullable: false,
    }),
    __metadata("design:type", Object)
], CommentEntity.prototype, "tag", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_like", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_love", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_haha", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_angry", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_sad", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_wow", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_nothing", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "no_of_reply", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], CommentEntity.prototype, "thumbnail", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "my_reaction", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], CommentEntity.prototype, "is_owner", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => restaurant_entity_1.RestaurantEntity, (restaurant) => restaurant.restaurant_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'restaurant_id',
    }),
    __metadata("design:type", restaurant_entity_1.RestaurantEntity)
], CommentEntity.prototype, "restaurant_id", void 0);
CommentEntity = CommentEntity_1 = __decorate([
    (0, typeorm_1.Entity)('comment')
], CommentEntity);
exports.CommentEntity = CommentEntity;
//# sourceMappingURL=comment.entity.js.map