import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { PostEntity } from './post.entity';
import { UserEntity } from './user.entity';
import { BaseModel } from './base.entity';

@Entity('store_post')
export class StorePostEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  store_post_id: string;

  @ManyToOne(() => PostEntity, (post) => post.post_id, { nullable: true })
  @JoinColumn({
    name: 'post_id',
  })
  post: PostEntity;

  @ManyToOne(() => UserEntity, (user) => user.user_id, { nullable: true })
  @JoinColumn({
    name: 'user_id',
  })
  user: UserEntity;
}
